Altimax\Apidae\Core\Entity\SitraObjetMedia:
  type: entity
  table: sitra_objet_media
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    ordre:
      type: integer
      nullable: false
      unsigned: false
  manyToOne:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: {  }
      inversedBy: objetmedias
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
    multimedia:
      targetEntity: Altimax\Apidae\Core\Entity\SitraMultimedia
      cascade: {  }
      inversedBy: objetmedias
      joinColumns:
        multimedia_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }